-- 基础信息
base_info = {
	group_id = 245014002
}

-- Trigger变量
defs = {
	group_id = 245014002,
	fundation_id = 70350145,
	challange_group_id = 245014001
}

-- DEFS_MISCS
local towerPrebuild =
{
 [2015]= 1,
 [2020]= 5,
 [2021]= 5,
 [2010]= 10,
 [2009]= 10,
 [2008]= 10,
 [2049]= 6,
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 2001, gadget_id = 70350145, pos = { x = 13.820, y = -7.697, z = -61.332 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, level = 1 },
	{ config_id = 2002, gadget_id = 70350145, pos = { x = 16.320, y = -7.700, z = -57.833 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, level = 1 },
	{ config_id = 2003, gadget_id = 70350145, pos = { x = 13.820, y = -7.700, z = -54.332 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, level = 1 },
	{ config_id = 2004, gadget_id = 70350145, pos = { x = 35.132, y = -7.700, z = -83.226 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 2005, gadget_id = 70350145, pos = { x = 37.632, y = -7.700, z = -79.726 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 2006, gadget_id = 70350145, pos = { x = 35.132, y = -7.700, z = -76.226 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 2007, gadget_id = 70350145, pos = { x = 32.632, y = -7.695, z = -79.726 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 2008, gadget_id = 70350145, pos = { x = 35.077, y = -7.701, z = -19.772 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 2009, gadget_id = 70350145, pos = { x = 35.077, y = -7.707, z = -26.772 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 2010, gadget_id = 70350145, pos = { x = 35.149, y = -7.692, z = -35.207 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 2011, gadget_id = 70350145, pos = { x = 32.578, y = -7.706, z = -23.272 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 2012, gadget_id = 70350145, pos = { x = 37.610, y = -7.704, z = -30.995 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 2013, gadget_id = 70350145, pos = { x = 32.610, y = -7.707, z = -30.995 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 2014, gadget_id = 70350145, pos = { x = 38.238, y = -7.706, z = -23.243 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 2015, gadget_id = 70350145, pos = { x = 33.203, y = -7.700, z = -64.634 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 2016, gadget_id = 70350145, pos = { x = 26.901, y = -7.694, z = -57.858 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, level = 1 },
	{ config_id = 2017, gadget_id = 70350145, pos = { x = 35.688, y = -7.700, z = -61.720 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 2018, gadget_id = 70350145, pos = { x = 35.689, y = -7.699, z = -54.721 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 2019, gadget_id = 70350145, pos = { x = 20.527, y = -7.702, z = -57.754 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, level = 1 },
	{ config_id = 2020, gadget_id = 70350145, pos = { x = 23.941, y = -7.690, z = -61.340 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, level = 1 },
	{ config_id = 2021, gadget_id = 70350145, pos = { x = 23.829, y = -7.703, z = -54.299 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, level = 1 },
	{ config_id = 2043, gadget_id = 70350145, pos = { x = 30.688, y = -7.700, z = -61.720 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 2044, gadget_id = 70350145, pos = { x = 33.189, y = -7.685, z = -58.220 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 2045, gadget_id = 70350145, pos = { x = 30.689, y = -7.699, z = -54.719 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 2046, gadget_id = 70350145, pos = { x = 41.851, y = -4.020, z = 2.142 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 2047, gadget_id = 70350145, pos = { x = 26.517, y = -4.004, z = 1.952 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 2048, gadget_id = 70350145, pos = { x = 39.351, y = -4.007, z = -1.358 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 2049, gadget_id = 70350145, pos = { x = 34.351, y = -4.004, z = -1.356 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 },
	{ config_id = 2050, gadget_id = 70350145, pos = { x = 29.351, y = -3.996, z = -1.357 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 2022, pos = { x = 13.820, y = -7.697, z = -61.332 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2023, pos = { x = 16.320, y = -7.700, z = -57.833 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2024, pos = { x = 13.820, y = -7.700, z = -54.332 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2025, pos = { x = 35.132, y = -7.700, z = -83.226 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2026, pos = { x = 37.632, y = -7.700, z = -79.726 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2027, pos = { x = 35.132, y = -7.700, z = -76.226 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2028, pos = { x = 32.632, y = -7.695, z = -79.726 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2029, pos = { x = 35.077, y = -7.701, z = -19.772 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2030, pos = { x = 35.077, y = -7.707, z = -26.772 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2031, pos = { x = 35.149, y = -7.692, z = -35.207 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2032, pos = { x = 32.578, y = -7.706, z = -23.272 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2033, pos = { x = 37.610, y = -7.704, z = -30.995 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2034, pos = { x = 32.610, y = -7.707, z = -30.995 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2035, pos = { x = 38.238, y = -7.706, z = -23.243 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2036, pos = { x = 33.203, y = -7.700, z = -64.634 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2037, pos = { x = 26.901, y = -7.694, z = -57.858 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2038, pos = { x = 35.688, y = -7.700, z = -61.720 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2039, pos = { x = 35.689, y = -7.699, z = -54.721 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2040, pos = { x = 20.527, y = -7.702, z = -57.754 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2041, pos = { x = 23.941, y = -7.690, z = -61.340 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2042, pos = { x = 23.829, y = -7.703, z = -54.299 }, rot = { x = 0.000, y = 270.000, z = 0.000 } },
	{ config_id = 2051, pos = { x = 30.688, y = -7.700, z = -61.720 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2052, pos = { x = 33.189, y = -7.685, z = -58.220 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2053, pos = { x = 30.689, y = -7.699, z = -54.719 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2054, pos = { x = 41.851, y = -4.020, z = 2.142 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2055, pos = { x = 26.517, y = -4.004, z = 1.952 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2056, pos = { x = 39.351, y = -4.007, z = -1.358 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2057, pos = { x = 34.351, y = -4.004, z = -1.356 }, rot = { x = 0.000, y = 180.000, z = 0.000 } },
	{ config_id = 2058, pos = { x = 29.351, y = -3.996, z = -1.357 }, rot = { x = 0.000, y = 180.000, z = 0.000 } }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_6/TowerDefense_Gear_V3.0"
